﻿/**Begin D:\PDM_UPGRADE\PDM1\WTIS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTIS_ATTPAYTASK') 
 CREATE TABLE T_WTIS_ATTPAYTASK (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FTASKSTATUS VARCHAR(20) DEFAULT ' ' NOT NULL,
FTIMECOST BIGINT DEFAULT 0 NOT NULL,
FTASKDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTOTALSUBTASK INT DEFAULT 0 NOT NULL,
FFINISHEDSUBTASK INT DEFAULT 0 NOT NULL,
FREFRESHTIME DATETIME,
FPROGRESS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FCATEGORY VARCHAR(50) DEFAULT ' ' NOT NULL,
FHASSUBTASK CHAR(1) DEFAULT '0' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTIS_ATTPAYTASK_L') 
 CREATE TABLE T_WTIS_ATTPAYTASK_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FTASKDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTIS_ATTPAYSUBTASK') 
 CREATE TABLE T_WTIS_ATTPAYSUBTASK (
FID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FSUBTASKSTATUS VARCHAR(20) DEFAULT ' ' NOT NULL,
FREFRESHTIME DATETIME,
FINDEX INT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\WTIS_table.sql **/
