﻿/**Begin D:\PDM_UPGRADE\PDM1\WTIS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTIS_PAYATTTASK')
 CREATE TABLE T_WTIS_PAYATTTASK (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
FSOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FTASKSTATUS VARCHAR(20) DEFAULT ' ' NOT NULL,
FTIMECOST BIGINT DEFAULT 0 NOT NULL,
FTASKDESC NVARCHAR(200) DEFAULT ' ' NOT NULL,
FTOTALSUBTASK INT DEFAULT 0 NOT NULL,
FFINISHEDSUBTASK INT DEFAULT 0 NOT NULL,
FREFRESHTIME DATETIME,
FPROGRESS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FCATEGORY VARCHAR(50) DEFAULT ' ' NOT NULL,
FHASSUBTASK CHAR(1) DEFAULT '0' NOT NULL,
FTOTALATTFILE INT DEFAULT 0 NOT NULL,
FRUNATTFILE INT DEFAULT 0 NOT NULL,
FSUCCEEDATTFILE INT DEFAULT 0 NOT NULL,
FFAILEDATTFILE INT DEFAULT 0 NOT NULL,
FNOTRUNATTFILE INT DEFAULT 0 NOT NULL,
FTOTALATTPERSON INT DEFAULT 0 NOT NULL,
FRUNATTPERSON INT DEFAULT 0 NOT NULL,
FSUCCEEDATTPERSON INT DEFAULT 0 NOT NULL,
FFAILEDATTPERSON INT DEFAULT 0 NOT NULL,
FNOTRUNATTPERSON INT DEFAULT 0 NOT NULL,
FCALSTARTDATE DATETIME,
FCALENDDATE DATETIME,
FINTEGRATESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FALLINEXNUM INT DEFAULT 0 NOT NULL,
FINEXNUM INT DEFAULT 0 NOT NULL,
FINSUCCESSNUM INT DEFAULT 0 NOT NULL,
FINFAILNUM INT DEFAULT 0 NOT NULL,
FINWITHDRAWNUM INT DEFAULT 0 NOT NULL,
FINCONSUMETIME BIGINT DEFAULT 0 NOT NULL,
FINTEGRATIONRULEID BIGINT DEFAULT 0 NOT NULL,
FATTPERIODENTRYID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTOTALOPNUM INT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTIS_PAYATTTASK_L')
 CREATE TABLE T_WTIS_PAYATTTASK_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKDESC NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTIS_PAYATTSUBTASK')
 CREATE TABLE T_WTIS_PAYATTSUBTASK (
FID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FSUBTASKSTATUS VARCHAR(20) DEFAULT ' ' NOT NULL,
FREFRESHTIME DATETIME,
FATTFILETOTALCOUNT INT DEFAULT 0 NOT NULL,
FRUNATTFILE INT DEFAULT 0 NOT NULL,
FSUCCEEDATTFILE INT DEFAULT 0 NOT NULL,
FFAILEDATTFILE INT DEFAULT 0 NOT NULL,
FNOTRUNATTFILE INT DEFAULT 0 NOT NULL,
FTOTALATTPERSON INT DEFAULT 0 NOT NULL,
FRUNATTPERSON INT DEFAULT 0 NOT NULL,
FSUCCEEDATTPERSON INT DEFAULT 0 NOT NULL,
FFAILEDATTPERSON INT DEFAULT 0 NOT NULL,
FNOTRUNATTPERSON INT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FINDEX INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTIS_PAYATTTASKDETAIL')
 CREATE TABLE T_WTIS_PAYATTTASKDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FSUBTASKID BIGINT DEFAULT 0 NOT NULL,
FATTPERSONID BIGINT DEFAULT 0 NOT NULL,
FATTFILEID BIGINT DEFAULT 0 NOT NULL,
FATTPERSONJOBID BIGINT DEFAULT 0 NOT NULL,
FATTTAGID BIGINT DEFAULT 0 NOT NULL,
FEXINFO VARCHAR(255) DEFAULT ' ' NOT NULL,
FEXINFO_TAG NCLOB,
FREALCALSTARTDATE DATETIME,
FREALCALENDDATE DATETIME,
FTASKDETAILSTATE VARCHAR(20) DEFAULT ' ' NOT NULL,
FEXCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FATTFILEBOID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FGENERSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FINTEGRSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTIS_PAYATTDATAINFO')
 CREATE TABLE T_WTIS_PAYATTDATAINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FATTFILEBOID BIGINT DEFAULT 0 NOT NULL,
FIDCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FABNREASON VARCHAR(600) DEFAULT ' ' NOT NULL,
FDATATYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FGENERSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FINTEGRSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FINTEGRATIONRULEID BIGINT DEFAULT 0 NOT NULL,
FATTITEMID BIGINT DEFAULT 0 NOT NULL,
FATTPERIODENTRYID BIGINT DEFAULT 0 NOT NULL,
FVALUESTR VARCHAR(50) DEFAULT ' ' NOT NULL,
FATTFILEID BIGINT DEFAULT 0 NOT NULL,
FPERPERIODENDDATE DATETIME,
FPERPERIODBEGINDATE DATETIME,
FTASKDETAILID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);



/**End D:\PDM_UPGRADE\PDM1\WTIS_table.sql **/
